Page MenuHomePhabricator

Repeated attempts to load https://commons.wikimedia.org/wiki/Undefined after opening 3D MMV
Closed, ResolvedPublic

Description

Event Timeline

Esanders created this task.Feb 14 2018, 2:57 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 14 2018, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 410455 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/3D@master] Don't attempt to attach badge to MMV canvas

https://gerrit.wikimedia.org/r/410455

The above patch fixes the issue by not attempting to draw the badge in MMV. One could perhaps rewrite this to work in future, but the most pressing issue is these 404 requests.

Change 410481 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/3D@master] Only wait for thumb load for imgs

https://gerrit.wikimedia.org/r/410481

Change 410491 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/3D@master] Allow attachBadge to be passed a non-image

https://gerrit.wikimedia.org/r/410491

Change 410481 abandoned by Matthias Mullie:
Only wait for thumb load for imgs

Reason:
See https://gerrit.wikimedia.org/r/#/c/410491/

https://gerrit.wikimedia.org/r/410481

Ramsey-WMF triaged this task as High priority.Feb 14 2018, 6:42 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 410491 merged by jenkins-bot:
[mediawiki/extensions/3D@master] Allow attachBadge to be passed a non-image

https://gerrit.wikimedia.org/r/410491

Change 410455 abandoned by Esanders:
Don't attempt to attach badge to MMV canvas

Reason:
https://gerrit.wikimedia.org/r/#/c/410491/ fixed the badge instead

https://gerrit.wikimedia.org/r/410455

brion added a subscriber: brion.Feb 22 2018, 3:18 PM
brion added a comment.Feb 22 2018, 3:22 PM

Issue is still current; fix presumably got rolled back by the rollback of 1.31-wmf.22 (T183961)?

Yeah, that was going to be part of wmf.22

Should we backport to wmf.21? It looks like wmf.22 is still blocked as of right now.

matthiasmullie closed this task as Resolved.Feb 26 2018, 5:53 PM
matthiasmullie claimed this task.